{ pkgs, ... }:
{
  programs.jujutsu = {
    enable = true;
    settings = {
      user = {
        name = "jolheiser";
        email = "git@jolheiser.com";
      };
      ui = {
        diff.tool = [
          "${pkgs.difftastic}/bin/difft"
          "--color=always"
          "$left"
          "$right"
        ];
        editor = "hx";
        paginate = "never";
        default-command = "log";
      };
      git.push-bookmark-prefix = "change/";
      signing = {
        sign-all = true;
        backend = "ssh";
        key = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAUxLwkJOlalAHTdkbh+m49XTZGKDqWz1o/o8OLmtQdX";
      };
    };
  };
}
