let
  username = "jolheiser";
  key = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIL+uhnfFLhlyfGGsksSxh5IIY6gnIMryeQ2EiM979kZa";
in
{
  imports = [
    # ./actual.nix
    ./caddy.nix
    ./cfg.nix
    ./dex.nix
    ./foundry.nix
    ./git-pr.nix
    ./golink.nix
    ./gotosocial.nix
    ./miniserve.nix
    ./pubserve.nix
    ./restic.nix
    ./soju.nix
    ./tandoor.nix
    ./tclip.nix
    ./ugit.nix
    ./vikunja.nix
    ./hardware.nix
  ];

  boot.tmp.cleanOnBoot = true;
  zramSwap.enable = true;

  networking = {
    hostName = "dragonwell";

    firewall = {
      enable = true;
      allowedTCPPorts = [
        80
        443
        6697
      ];
    };
  };

  services = {
    openssh.enable = true;
    tailscale.enable = true;
  };

  users.users = {
    "${username}" = {
      extraGroups = [
        "wheel"
        "docker"
        "storage"
      ];
      isNormalUser = true;
      openssh.authorizedKeys.keys = [ key ];
    };
    "root".openssh.authorizedKeys.keys = [ key ];
  };

  system.stateVersion = "22.11";
}
